Bug 480572 - Review Request: xgridloc - An application for the calculation of Maidenhead QRA Locators
Review Request: xgridloc - An application for the calculation of Maidenhead Q...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 01:02 EST by Randall "Randy" Berry
Modified: 2009-11-05 20:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 20:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Randall "Randy" Berry 2009-01-19 01:02:38 EST
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xgridloc.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xgridloc-0.9-4.fc10.src.rpm
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1065372

Description:
xgridloc is a GTK+ graphical version of gridloc and performs the same basic 
functions for ham radio operators, but additionally it can use xplanet to 
display the home and DX locations and the great circle path between them.

* Sun Jan 18 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-4
- Check rpmlint fix lint errors
- 3 packages and 1 specfiles checked; 0 errors, 0 warnings.
- Submit for review
- Mock build f9/10/devel i386
- Test build on Koji all arches
Comment 1 Randall "Randy" Berry 2009-02-06 09:38:05 EST
bump src to F11

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xgridloc.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xgridloc-0.9-5.fc11.src.rpm


* Fri Feb 6 2009 Randall J. Berry 'Dp67' <dp67@fedoraproject.org> - 0.9-5
- bump src to f11
- minor spec edits
Comment 2 Jason Tibbitts 2009-07-09 21:08:06 EDT
I'm sorry that nobody has looked at this yet.  It builds cleanly on rawhide and seems to install and run fine (although I have no idea at all what data I'm supposed to provide).

The tarball in the src.rpm does not match the tarball I downloaded from the Source0: URL.  Do you know why this might be the case?  It looks like the upstream source differs in that it includes a COPYING file, although it's v3 of the copying file while the source still seems to be GPLv2+ (which is OK; the version of the copying file has no bearing on the version of the GPL the software is under).

The debuginfo package has the C source files but no header files.  I don't know what might cause that; I don't see anything in the build process that would indicate anything out of the ordinary.  I'll ask around.

Please note the following output from desktop-file-install:

/builddir/build/BUILDROOT/xgridloc-0.9-5.fc12.x86_64/usr/share/applications/xgridloc.desktop: warning: value "xgridloc.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

Any reason not to fix that up?

X source files match upstream.   
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
? debuginfo package is missing some files; not sure why.
* rpmlint is silent.
* final provides and requires are sane:
   xgridloc = 0.9-5.fc12
   xgridloc(x86-64) = 0.9-5.fc12
  =
   /bin/sh
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libfontconfig.so.1()(64bit)
   libfreetype.so.6()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libgio-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libpangoft2-1.0.so.0()(64bit)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
X desktop file could use a tweaak.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 3 Randall "Randy" Berry 2009-07-09 23:03:48 EDT
(In reply to comment #2)

> The tarball in the src.rpm does not match the tarball I downloaded from the
> Source0: URL.  Do you know why this might be the case?  It looks like the
> upstream source differs in that it includes a COPYING file, although it's v3 of
> the copying file while the source still seems to be GPLv2+ (which is OK; the
> version of the copying file has no bearing on the version of the GPL the
> software is under).

I wrote to the author earlier and asked if he could include a GPL license looks like he added it. I'll use the newer tarball and rebuild the src rpm. 

 
> Please note the following output from desktop-file-install:
> 
> /builddir/build/BUILDROOT/xgridloc-0.9-5.fc12.x86_64/usr/share/applications/xgridloc.desktop:
> warning: value "xgridloc.png" for key "Icon" in group "Desktop Entry" is an
> icon name with an extension, but there should be no extension as described in
> the Icon Theme Specification if the value is not an absolute path

Fixed: removed the extension from the icon in .desktop file. 

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/xgridloc.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/xgridloc-0.9-6.fc11.src.rpm
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1464685

* Thu Jul 9 2009 Randall J. Berry 'Dp67' <dp67(at)fedoraproject.org> - 0.9-6
- Upstream source added COPYING file
- Fix .desktop file removed ext from icon
- Mock build f11/devel i386
- Test build on Koji all arches
Comment 4 Jason Tibbitts 2009-07-09 23:27:46 EDT
Looks good; thanks.

APPROVED
Comment 5 Randall "Randy" Berry 2009-07-09 23:50:45 EDT
Thanks Tibbs

New Package CVS Request
=======================
Package Name: xgridloc
Short Description: An application for the calculation of Maidenhead QRA Locators
Owners: dp67
Branches: F-10, F-11, devel
Comment 6 Jason Tibbitts 2009-07-09 23:55:49 EDT
CVS done.
Comment 7 Jason Tibbitts 2009-11-05 17:44:01 EST
Any reason this ticket is still open?
Comment 8 Randall "Randy" Berry 2009-11-05 20:25:32 EST
closing open ticket

Note You need to log in before you can comment on or make changes to this bug.